package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.SysHoliday;

/**
 * 节假日，需每年手动更新Mapper接口
 * 
 * @author ruoyi
 * @date 2023-03-04
 */
public interface SysHolidayMapper 
{
    /**
     * 查询节假日，需每年手动更新
     * 
     * @param id 节假日，需每年手动更新主键
     * @return 节假日，需每年手动更新
     */
    public SysHoliday selectSysHolidayById(Long id);

    /**
     * 查询节假日，需每年手动更新列表
     * 
     * @param sysHoliday 节假日，需每年手动更新
     * @return 节假日，需每年手动更新集合
     */
    public List<SysHoliday> selectSysHolidayList(SysHoliday sysHoliday);

    /**
     * 新增节假日，需每年手动更新
     * 
     * @param sysHoliday 节假日，需每年手动更新
     * @return 结果
     */
    public int insertSysHoliday(SysHoliday sysHoliday);

    /**
     * 修改节假日，需每年手动更新
     * 
     * @param sysHoliday 节假日，需每年手动更新
     * @return 结果
     */
    public int updateSysHoliday(SysHoliday sysHoliday);

    /**
     * 删除节假日，需每年手动更新
     * 
     * @param id 节假日，需每年手动更新主键
     * @return 结果
     */
    public int deleteSysHolidayById(Long id);

    /**
     * 批量删除节假日，需每年手动更新
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSysHolidayByIds(Long[] ids);
}
